Bug 26083 - Item editor defaults to lost
Summary: Item editor defaults to lost
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 24279
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-29 12:35 UTC by Andrew Fuerste-Henry
Modified: 2020-11-30 21:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26083: Item editor defaults to lost (1.86 KB, patch)
2020-07-29 17:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 26083: Item editor defaults to lost (1.91 KB, patch)
2020-07-29 17:45 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26083: Item editor defaults to lost (1.96 KB, patch)
2020-07-29 21:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-07-29 12:35:32 UTC
This may be due to bug 24279?

When editing an item via additem.pl, koha defaults to the first available lost status, rather than defaulting to not-lost. 

This will make a big mess if not addressed quickly.
Comment 1 Kyle M Hall 2020-07-29 17:06:21 UTC
Created attachment 107520 [details] [review]
Bug 26083: Item editor defaults to lost

When editing an item via additem.pl, koha defaults to the first
available lost status, rather than defaulting to not-lost.

Test Plan:
1) Ensure you do not have a value ClaimReturnedLostValue
2) Edit an existing item that is not lost
3) Note the lost value is set even though it is not lost
4) Apply this patch
5) Edit a different item that is not lost
6) Note the lost value is not set!
Comment 2 Andrew Fuerste-Henry 2020-07-29 17:45:47 UTC
Created attachment 107521 [details] [review]
Bug 26083: Item editor defaults to lost

When editing an item via additem.pl, koha defaults to the first
available lost status, rather than defaulting to not-lost.

Test Plan:
1) Ensure you do not have a value ClaimReturnedLostValue
2) Edit an existing item that is not lost
3) Note the lost value is set even though it is not lost
4) Apply this patch
5) Edit a different item that is not lost
6) Note the lost value is not set!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-07-29 21:45:01 UTC
Created attachment 107540 [details] [review]
Bug 26083: Item editor defaults to lost

When editing an item via additem.pl, koha defaults to the first
available lost status, rather than defaulting to not-lost.

Test Plan:
1) Ensure you do not have a value ClaimReturnedLostValue
2) Edit an existing item that is not lost
3) Note the lost value is set even though it is not lost
4) Apply this patch
5) Edit a different item that is not lost
6) Note the lost value is not set!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Andrew Fuerste-Henry 2020-07-30 12:40:01 UTC
Looks like this bug may also be causing some foreign key constraint errors around branch code when duplicating an existing item and trying to change the home and holding branch. The error goes away when I apply the patch. So nothing more to do here, just noting it.
Comment 5 Jonathan Druart 2020-07-30 15:47:45 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-08-13 16:18:31 UTC
missing dependency for 20.05.x, no backport